# Interface IDialogConstants

public interface IDialogConstants
IDialogConstants is the interface for common dialog strings and ids used throughout JFace. It is recommended that you use these labels and ids wherever for consistency with the JFace dialogs.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABORT_ID`
Button id for an "Abort" button (value 7).
`static final String`
`ABORT_LABEL`
The label for abort buttons.
`static final int`
`BACK_ID`
Button id for a "Back" button (value 14).
`static final String`
`BACK_LABEL`
The label for back buttons.
`static final int`
`BUTTON_BAR_HEIGHT`
Height of button bar in dialog units (value 25).
`static final int`
`BUTTON_HEIGHT`
Deprecated, for removal: This API element is subject to removal in a future version.
This constant is no longer in use.
`static final int`
`BUTTON_MARGIN`
Button margin in dialog units (value 4).
`static final int`
`BUTTON_WIDTH`
Button width in dialog units (value 61).
`static final int`
`CANCEL_ID`
Button id for a "Cancel" button (value 1).
`static final String`
`CANCEL_LABEL`
The label for cancel buttons.
`static final int`
`CLIENT_ID`
Starting button id reserved for use by clients of JFace (value 1024).
`static final int`
`CLOSE_ID`
Button id for a "Close" button (value 12).
`static final String`
`CLOSE_LABEL`
The label for close buttons.
`static final int`
`DESELECT_ALL_ID`
Button id for a "Deselect All" button (value 19).
`static final int`
`DETAILS_ID`
Button id for a "Details" button (value 13).
`static final int`
`ENTRY_FIELD_WIDTH`
Entry field width in dialog units (value 200).
`static final int`
`FINISH_ID`
Button id for a "Finish" button (value 16).
`static final String`
`FINISH_LABEL`
The label for finish buttons.
`static final int`
`HELP_ID`
Button id for a "Help" button (value 17).
`static final String`
`HELP_LABEL`
The label for help buttons.
`static final String`
`HIDE_DETAILS_LABEL`
The label for hide details buttons.
`static final int`
`HORIZONTAL_MARGIN`
Horizontal margin in dialog units (value 7).
`static final int`
`HORIZONTAL_SPACING`
Horizontal spacing in dialog units (value 4).
`static final int`
`IGNORE_ID`
Button id for an "Ignore" button (value 9).
`static final String`
`IGNORE_LABEL`
The label for ignore buttons.
`static final int`
`INDENT`
Deprecated, for removal: This API element is subject to removal in a future version.
As of 3.9, this is deprecated as it is too big as DLU and got accidentally used when setting pixel values
`static final int`
`INTERNAL_ID`
Starting button id reserved for internal use by JFace (value 256).
`static final int`
`LEFT_MARGIN`
Left margin in dialog units (value 20).
`static final int`
`MINIMUM_MESSAGE_AREA_WIDTH`
Minimum width of message area in dialog units (value 300).
`static final int`
`NEXT_ID`
Button id for a "Next" button (value 15).
`static final String`
`NEXT_LABEL`
The label for next buttons.
`static final int`
`NO_ID`
Button id for a "No" button (value 3).
`static final String`
`NO_LABEL`
The label for no buttons.
`static final int`
`NO_TO_ALL_ID`
Button id for a "No to All" button (value 21).
`static final String`
`NO_TO_ALL_LABEL`
The label for not to all buttons.
`static final int`
`OK_ID`
Button id for an "Ok" button (value 0).
`static final String`
`OK_LABEL`
The label for OK buttons.
`static final int`
`OPEN_ID`
Button id for an "Open" button (value 11).
`static final String`
`OPEN_LABEL`
The label for open buttons.
`static final int`
`PROCEED_ID`
Button id for a "Proceed" button (value 10).
`static final String`
`PROCEED_LABEL`
The label for proceed buttons.
`static final int`
`RETRY_ID`
Button id for a "Retry" button (value 8).
`static final String`
`RETRY_LABEL`
The label for retry buttons.
`static final int`
`SELECT_ALL_ID`
Button id for a "Select All" button (value 18).
`static final int`
`SELECT_TYPES_ID`
Button id for a "Select types" button (value 20).
`static final String`
`SHOW_DETAILS_LABEL`
The label for show details buttons.
`static final int`
`SKIP_ID`
Button id for a "Skip" button (value 5).
`static final String`
`SKIP_LABEL`
The label for skip buttons.
`static final int`
`SMALL_INDENT`
Deprecated, for removal: This API element is subject to removal in a future version.
As of 3.9, this is deprecated as it is not clear what the meaning of a "small indent" would be
`static final int`
`STOP_ID`
Button id for a "Stop" button (value 6).
`static final String`
`STOP_LABEL`
The label for stop buttons.
`static final int`
`VERTICAL_MARGIN`
Vertical margin in dialog units (value 7).
`static final int`
`VERTICAL_SPACING`
Vertical spacing in dialog units (value 4).
`static final int`
`YES_ID`
Button id for a "Yes" button (value 2).
`static final String`
`YES_LABEL`
The label for yes buttons.
`static final int`
`YES_TO_ALL_ID`
Button id for a "Yes to All" button (value 4).
`static final String`
`YES_TO_ALL_LABEL`
The label for yes to all buttons.

## Field Details

### OK_ID

static final int OK_ID
Button id for an "Ok" button (value 0).

See Also:
  - Constant Field Values

### CANCEL_ID

static final int CANCEL_ID
Button id for a "Cancel" button (value 1).

See Also:
  - Constant Field Values

### YES_ID

static final int YES_ID
Button id for a "Yes" button (value 2).

See Also:
  - Constant Field Values

### NO_ID

static final int NO_ID
Button id for a "No" button (value 3).

See Also:
  - Constant Field Values

### YES_TO_ALL_ID

static final int YES_TO_ALL_ID
Button id for a "Yes to All" button (value 4).

See Also:
  - Constant Field Values

### SKIP_ID

static final int SKIP_ID
Button id for a "Skip" button (value 5).

See Also:
  - Constant Field Values

### STOP_ID

static final int STOP_ID
Button id for a "Stop" button (value 6).

See Also:
  - Constant Field Values

### ABORT_ID

static final int ABORT_ID
Button id for an "Abort" button (value 7).

See Also:
  - Constant Field Values

### RETRY_ID

static final int RETRY_ID
Button id for a "Retry" button (value 8).

See Also:
  - Constant Field Values

### IGNORE_ID

static final int IGNORE_ID
Button id for an "Ignore" button (value 9).

See Also:
  - Constant Field Values

### PROCEED_ID

static final int PROCEED_ID
Button id for a "Proceed" button (value 10).

See Also:
  - Constant Field Values

### OPEN_ID

static final int OPEN_ID
Button id for an "Open" button (value 11).

See Also:
  - Constant Field Values

### CLOSE_ID

static final int CLOSE_ID
Button id for a "Close" button (value 12).

See Also:
  - Constant Field Values

### DETAILS_ID

static final int DETAILS_ID
Button id for a "Details" button (value 13).

See Also:
  - Constant Field Values

### BACK_ID

static final int BACK_ID
Button id for a "Back" button (value 14).

See Also:
  - Constant Field Values

### NEXT_ID

static final int NEXT_ID
Button id for a "Next" button (value 15).

See Also:
  - Constant Field Values

### FINISH_ID

static final int FINISH_ID
Button id for a "Finish" button (value 16).

See Also:
  - Constant Field Values

### HELP_ID

static final int HELP_ID
Button id for a "Help" button (value 17).

See Also:
  - Constant Field Values

### SELECT_ALL_ID

static final int SELECT_ALL_ID
Button id for a "Select All" button (value 18).

See Also:
  - Constant Field Values

### DESELECT_ALL_ID

static final int DESELECT_ALL_ID
Button id for a "Deselect All" button (value 19).

See Also:
  - Constant Field Values

### SELECT_TYPES_ID

static final int SELECT_TYPES_ID
Button id for a "Select types" button (value 20).

See Also:
  - Constant Field Values

### NO_TO_ALL_ID

static final int NO_TO_ALL_ID
Button id for a "No to All" button (value 21).

See Also:
  - Constant Field Values

### INTERNAL_ID

static final int INTERNAL_ID
Starting button id reserved for internal use by JFace (value 256). JFace classes make ids by adding to this number.

See Also:
  - Constant Field Values

### CLIENT_ID

static final int CLIENT_ID
Starting button id reserved for use by clients of JFace (value 1024). Clients of JFace should make ids by adding to this number.

See Also:
  - Constant Field Values

### OK_LABEL

static final String OK_LABEL
The label for OK buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.OK_LABEL_KEY)` so that a locale other than the default may be consulted.

### CANCEL_LABEL

static final String CANCEL_LABEL
The label for cancel buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.CANCEL_LABEL_KEY)` so that a locale other than the default may be consulted.

### YES_LABEL

static final String YES_LABEL
The label for yes buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.YES_LABEL_KEY)` so that a locale other than the default may be consulted.

### NO_LABEL

static final String NO_LABEL
The label for no buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.NO_LABEL_KEY)` so that a locale other than the default may be consulted.

### NO_TO_ALL_LABEL

static final String NO_TO_ALL_LABEL
The label for not to all buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.NO_TO_ALL_LABEL_KEY)` so that a locale other than the default may be consulted.

### YES_TO_ALL_LABEL

static final String YES_TO_ALL_LABEL
The label for yes to all buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.YES_TO_ALL_LABEL_KEY)` so that a locale other than the default may be consulted.

### SKIP_LABEL

static final String SKIP_LABEL
The label for skip buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.SKIP_LABEL_KEY)` so that a locale other than the default may be consulted.

### STOP_LABEL

static final String STOP_LABEL
The label for stop buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.STOP_LABEL_KEY)` so that a locale other than the default may be consulted.

### ABORT_LABEL

static final String ABORT_LABEL
The label for abort buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.ABORT_LABEL_KEY)` so that a locale other than the default may be consulted.

### RETRY_LABEL

static final String RETRY_LABEL
The label for retry buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.RETRY_LABEL_KEY)` so that a locale other than the default may be consulted.

### IGNORE_LABEL

static final String IGNORE_LABEL
The label for ignore buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.IGNORE_LABEL_KEY)` so that a locale other than the default may be consulted.

### PROCEED_LABEL

static final String PROCEED_LABEL
The label for proceed buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.PROCEED_LABEL_KEY)` so that a locale other than the default may be consulted.

### OPEN_LABEL

static final String OPEN_LABEL
The label for open buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.OPEN_LABEL_KEY)` so that a locale other than the default may be consulted.

### CLOSE_LABEL

static final String CLOSE_LABEL
The label for close buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.CLOSE_LABEL_KEY)` so that a locale other than the default may be consulted.

### SHOW_DETAILS_LABEL

static final String SHOW_DETAILS_LABEL
The label for show details buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.SHOW_DETAILS_LABEL_KEY)` so that a locale other than the default may be consulted.

### HIDE_DETAILS_LABEL

static final String HIDE_DETAILS_LABEL
The label for hide details buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.HIDE_DETAILS_LABEL_KEY)` so that a locale other than the default may be consulted.

### BACK_LABEL

static final String BACK_LABEL
The label for back buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.BACK_LABEL_KEY)` so that a locale other than the default may be consulted.

### NEXT_LABEL

static final String NEXT_LABEL
The label for next buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.NEXT_LABEL_KEY)` so that a locale other than the default may be consulted.

### FINISH_LABEL

static final String FINISH_LABEL
The label for finish buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.FINISH_LABEL_KEY)` so that a locale other than the default may be consulted.

### HELP_LABEL

static final String HELP_LABEL
The label for help buttons. Using this static label string provides optimum performance by looking up the label only once when JFace is initialized. However, clients that wish to support multiple locales in one system should instead use the pattern `JFaceResources.getString(IDialogLabelKeys.HELP_LABEL_KEY)` so that a locale other than the default may be consulted.

### VERTICAL_MARGIN

static final int VERTICAL_MARGIN
Vertical margin in dialog units (value 7).

See Also:
  - Constant Field Values

### VERTICAL_SPACING

static final int VERTICAL_SPACING
Vertical spacing in dialog units (value 4).

See Also:
  - Constant Field Values

### HORIZONTAL_MARGIN

static final int HORIZONTAL_MARGIN
Horizontal margin in dialog units (value 7).

See Also:
  - Constant Field Values

### HORIZONTAL_SPACING

static final int HORIZONTAL_SPACING
Horizontal spacing in dialog units (value 4).

See Also:
  - Constant Field Values

### BUTTON_BAR_HEIGHT

static final int BUTTON_BAR_HEIGHT
Height of button bar in dialog units (value 25).

See Also:
  - Constant Field Values

### LEFT_MARGIN

static final int LEFT_MARGIN
Left margin in dialog units (value 20).

See Also:
  - Constant Field Values

### BUTTON_MARGIN

static final int BUTTON_MARGIN
Button margin in dialog units (value 4).

See Also:
  - Constant Field Values

### BUTTON_HEIGHT

@Deprecated(forRemoval=true, since="2026-03") static final int BUTTON_HEIGHT
Deprecated, for removal: This API element is subject to removal in a future version.
This constant is no longer in use. The button heights are now determined by the layout.
Button height in dialog units (value 14).

See Also:
  - Constant Field Values

### BUTTON_WIDTH

static final int BUTTON_WIDTH
Button width in dialog units (value 61).

See Also:
  - Constant Field Values

### INDENT

@Deprecated(forRemoval=true, since="2026-03") static final int INDENT
Deprecated, for removal: This API element is subject to removal in a future version.
As of 3.9, this is deprecated as it is too big as DLU and got accidentally used when setting pixel values
Indent in dialog units (value 21).

See Also:
  - Constant Field Values

### SMALL_INDENT

@Deprecated(forRemoval=true, since="2026-03") static final int SMALL_INDENT
Deprecated, for removal: This API element is subject to removal in a future version.
As of 3.9, this is deprecated as it is not clear what the meaning of a "small indent" would be
Small indent in dialog units (value 7).

See Also:
  - Constant Field Values

### ENTRY_FIELD_WIDTH

static final int ENTRY_FIELD_WIDTH
Entry field width in dialog units (value 200).

See Also:
  - Constant Field Values

### MINIMUM_MESSAGE_AREA_WIDTH

static final int MINIMUM_MESSAGE_AREA_WIDTH
Minimum width of message area in dialog units (value 300).

See Also:
  - Constant Field Values